# azure.mgmt.machinelearningcompute.models module

exception `azure.mgmt.machinelearningcompute.models.``ErrorResponseWrapperException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponseWrapper’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.machinelearningcompute.models.``Resource`(location, tags=None)

  Bases: `msrest.serialization.Model`

  Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Specifies the resource ID.
  - name (str) – Specifies the name of the resource.
  - type (str) – Specifies the type of the resource.

  Parameters:

  - location (str) – Specifies the location of the resource.
  - tags (dict[str, str]) – Contains resource tags defined as key/value pairs.

class `azure.mgmt.machinelearningcompute.models.``ErrorDetail`(code, message)

  Bases: `msrest.serialization.Model`

  Error detail information.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message.

class `azure.mgmt.machinelearningcompute.models.``ErrorResponse`(code, message, details=None)

  Bases: `msrest.serialization.Model`

  Error response information.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message.
  - details (list[ErrorDetail]) – An array of error detail objects.

class `azure.mgmt.machinelearningcompute.models.``ErrorResponseWrapper`(error=None)

  Bases: `msrest.serialization.Model`

  Wrapper for error response to follow ARM guidelines.

  Parameters: | error (ErrorResponse) – The error response.

class `azure.mgmt.machinelearningcompute.models.``StorageAccountProperties`(resource_id=None)

  Bases: `msrest.serialization.Model`

  Properties of Storage Account.

  Parameters: | resource_id (str) – ARM resource ID of the Azure Storage Account to store CLI specific files. If not provided one will be created. This cannot be changed once the cluster is created.

class `azure.mgmt.machinelearningcompute.models.``ContainerRegistryProperties`(resource_id=None)

  Bases: `msrest.serialization.Model`

  Properties of Azure Container Registry.

  Parameters: | resource_id (str) – ARM resource ID of the Azure Container Registry used to store Docker images for web services in the cluster. If not provided one will be created. This cannot be changed once the cluster is created.

class `azure.mgmt.machinelearningcompute.models.``ServicePrincipalProperties`(client_id, secret)

  Bases: `msrest.serialization.Model`

  The Azure service principal used by Kubernetes for configuring load balancers.

  Parameters:

  - client_id (str) – The service principal client ID
  - secret (str) – The service principal secret. This is not returned in response of GET/PUT on the resource. To see this please call listKeys.

class `azure.mgmt.machinelearningcompute.models.``KubernetesClusterProperties`(service_principal=None)

  Bases: `msrest.serialization.Model`

  Kubernetes cluster specific properties.

  Parameters: | service_principal (ServicePrincipalProperties) – The Azure Service Principal used by Kubernetes

class `azure.mgmt.machinelearningcompute.models.``SystemService`(system_service_type)

  Bases: `msrest.serialization.Model`

  Information about a system service deployed in the cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | system_service_type (str or SystemServiceType) – The system service type. Possible values include: ‘None’, ‘ScoringFrontEnd’, ‘BatchFrontEnd’

  Variables:

  - public_ip_address (str) – The public IP address of the system service
  - version (str) – The state of the system service

class `azure.mgmt.machinelearningcompute.models.``AcsClusterProperties`(orchestrator_type, orchestrator_properties=None, system_services=None, master_count=1, agent_count=2, agent_vm_size='Standard_D3_v2')

  Bases: `msrest.serialization.Model`

  Information about the container service backing the cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | cluster_fqdn (str) – The FQDN of the cluster.

  Parameters:

  - orchestrator_type (str or OrchestratorType) – Type of orchestrator. It cannot be changed once the cluster is created. Possible values include: ‘Kubernetes’, ‘None’
  - orchestrator_properties (KubernetesClusterProperties) – Orchestrator specific properties
  - system_services (list[SystemService]) – The system services deployed to the cluster
  - master_count (int) – The number of master nodes in the container service. Default value: 1 .
  - agent_count (int) – The number of agent nodes in the Container Service. This can be changed to scale the cluster. Default value: 2 .
  - agent_vm_size (str or AgentVMSizeTypes) – The Azure VM size of the agent VM nodes. This cannot be changed once the cluster is created. This list is non exhaustive; refer to https://docs.microsoft.com/en-us/azure/virtual-machines/windows/sizes for the possible VM sizes. Possible values include: ‘Standard_A0’, ‘Standard_A1’, ‘Standard_A2’, ‘Standard_A3’, ‘Standard_A4’, ‘Standard_A5’, ‘Standard_A6’, ‘Standard_A7’, ‘Standard_A8’, ‘Standard_A9’, ‘Standard_A10’, ‘Standard_A11’, ‘Standard_D1’, ‘Standard_D2’, ‘Standard_D3’, ‘Standard_D4’, ‘Standard_D11’, ‘Standard_D12’, ‘Standard_D13’, ‘Standard_D14’, ‘Standard_D1_v2’, ‘Standard_D2_v2’, ‘Standard_D3_v2’, ‘Standard_D4_v2’, ‘Standard_D5_v2’, ‘Standard_D11_v2’, ‘Standard_D12_v2’, ‘Standard_D13_v2’, ‘Standard_D14_v2’, ‘Standard_G1’, ‘Standard_G2’, ‘Standard_G3’, ‘Standard_G4’, ‘Standard_G5’, ‘Standard_DS1’, ‘Standard_DS2’, ‘Standard_DS3’, ‘Standard_DS4’, ‘Standard_DS11’, ‘Standard_DS12’, ‘Standard_DS13’, ‘Standard_DS14’, ‘Standard_GS1’, ‘Standard_GS2’, ‘Standard_GS3’, ‘Standard_GS4’, ‘Standard_GS5’. Default value: “Standard_D3_v2” .

class `azure.mgmt.machinelearningcompute.models.``AppInsightsProperties`(resource_id=None)

  Bases: `msrest.serialization.Model`

  Properties of App Insights.

  Parameters: | resource_id (str) – ARM resource ID of the App Insights.

class `azure.mgmt.machinelearningcompute.models.``SslConfiguration`(status='Enabled', cert=None, key=None, cname=None)

  Bases: `msrest.serialization.Model`

  SSL configuration. If configured data-plane calls to user services will be exposed over SSL only.

  Parameters:

  - status (str or Status) – SSL status. Allowed values are Enabled and Disabled. Possible values include: ‘Enabled’, ‘Disabled’. Default value: “Enabled” .
  - cert (str) – The SSL cert data in PEM format.
  - key (str) – The SSL key data in PEM format. This is not returned in response of GET/PUT on the resource. To see this please call listKeys API.
  - cname (str) – The CName of the certificate.

class `azure.mgmt.machinelearningcompute.models.``ServiceAuthConfiguration`(primary_auth_key_hash, secondary_auth_key_hash)

  Bases: `msrest.serialization.Model`

  Global service auth configuration properties. These are the data-plane authorization keys and are used if a service doesn’t define it’s own.

  Parameters:

  - primary_auth_key_hash (str) – The primary auth key hash. This is not returned in response of GET/PUT on the resource.. To see this please call listKeys API.
  - secondary_auth_key_hash (str) – The secondary auth key hash. This is not returned in response of GET/PUT on the resource.. To see this please call listKeys API.

class `azure.mgmt.machinelearningcompute.models.``AutoScaleConfiguration`(status='Disabled', min_replicas=1, max_replicas=100, target_utilization=None, refresh_period_in_seconds=None)

  Bases: `msrest.serialization.Model`

  AutoScale configuration properties.

  Parameters:

  - status (str or Status) – If auto-scale is enabled for all services. Each service can turn it off individually. Possible values include: ‘Enabled’, ‘Disabled’. Default value: “Disabled” .
  - min_replicas (int) – The minimum number of replicas for each service. Default value: 1 .
  - max_replicas (int) – The maximum number of replicas for each service. Default value: 100 .
  - target_utilization (float) – The target utilization.
  - refresh_period_in_seconds (int) – Refresh period in seconds.

class `azure.mgmt.machinelearningcompute.models.``GlobalServiceConfiguration`(additional_properties=None, etag=None, ssl=None, service_auth=None, auto_scale=None)

  Bases: `msrest.serialization.Model`

  Global configuration for services in the cluster.

  Parameters:

  - additional_properties (dict[str, object]) – Unmatched properties from the message are deserialized this collection
  - etag (str) – The configuartion ETag for updates.
  - ssl (SslConfiguration) – The SSL configuration properties
  - service_auth (ServiceAuthConfiguration) – Optional global authorization keys for all user services deployed in cluster. These are used if the service does not have auth keys.
  - auto_scale (AutoScaleConfiguration) – The auto-scale configuration

class `azure.mgmt.machinelearningcompute.models.``OperationalizationCluster`(location, cluster_type, tags=None, description=None, storage_account=None, container_registry=None, container_service=None, app_insights=None, global_service_configuration=None)

  Bases: `azure.mgmt.machinelearningcompute.models.resource.Resource`

  Instance of an Azure ML Operationalization Cluster resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Specifies the resource ID.
  - name (str) – Specifies the name of the resource.
  - type (str) – Specifies the type of the resource.
  - created_on (datetime) – The date and time when the cluster was created.
  - modified_on (datetime) – The date and time when the cluster was last modified.
  - provisioning_state (str or OperationStatus) – The provision state of the cluster. Valid values are Unknown, Updating, Provisioning, Succeeded, and Failed. Possible values include: ‘Unknown’, ‘Updating’, ‘Creating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - provisioning_errors (list[ErrorResponseWrapper]) – List of provisioning errors reported by the resource provider.

  Parameters:

  - location (str) – Specifies the location of the resource.
  - tags (dict[str, str]) – Contains resource tags defined as key/value pairs.
  - description (str) – The description of the cluster.
  - cluster_type (str or ClusterType) – The cluster type. Possible values include: ‘ACS’, ‘Local’
  - storage_account (StorageAccountProperties) – Storage Account properties.
  - container_registry (ContainerRegistryProperties) – Container Registry properties.
  - container_service (AcsClusterProperties) – Parameters for the Azure Container Service cluster.
  - app_insights (AppInsightsProperties) – AppInsights configuration.
  - global_service_configuration (GlobalServiceConfiguration) – Contains global configuration for the web services in the cluster.

class `azure.mgmt.machinelearningcompute.models.``OperationalizationClusterUpdateParameters`(tags=None)

  Bases: `msrest.serialization.Model`

  Parameters for PATCH operation on an operationalization cluster.

  Parameters: | tags (dict[str, str]) – Gets or sets a list of key value pairs that describe the resource. These tags can be used in viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key no greater in length than 128 characters and a value no greater in length than 256 characters.

class `azure.mgmt.machinelearningcompute.models.``StorageAccountCredentials`

  Bases: `msrest.serialization.Model`

  Access information for the storage account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - resource_id (str) – The ARM resource ID of the storage account.
  - primary_key (str) – The primary key of the storage account.
  - secondary_key (str) – The secondary key of the storage account.

class `azure.mgmt.machinelearningcompute.models.``ContainerRegistryCredentials`

  Bases: `msrest.serialization.Model`

  Information about the Azure Container Registry which contains the images deployed to the cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - login_server (str) – The ACR login server name. User name is the first part of the FQDN.
  - password (str) – The ACR primary password.
  - password2 (str) – The ACR secondary password.
  - username (str) – The ACR login username.

class `azure.mgmt.machinelearningcompute.models.``ContainerServiceCredentials`

  Bases: `msrest.serialization.Model`

  Information about the Azure Container Registry which contains the images deployed to the cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - acs_kube_config (str) – The ACS kube config file.
  - service_principal_configuration (ServicePrincipalProperties) – Service principal configuration used by Kubernetes.
  - image_pull_secret_name (str) – The ACR image pull secret name which was created in Kubernetes.

class `azure.mgmt.machinelearningcompute.models.``AppInsightsCredentials`(app_id=None, instrumentation_key=None)

  Bases: `msrest.serialization.Model`

  AppInsights credentials.

  Parameters:

  - app_id (str) – The AppInsights application ID.
  - instrumentation_key (str) – The AppInsights instrumentation key. This is not returned in response of GET/PUT on the resource. To see this please call listKeys API.

class `azure.mgmt.machinelearningcompute.models.``OperationalizationClusterCredentials`(storage_account=None, container_registry=None, container_service=None, app_insights=None, service_auth_configuration=None, ssl_configuration=None)

  Bases: `msrest.serialization.Model`

  Credentials to resources in the cluster.

  Parameters:

  - storage_account (StorageAccountCredentials) – Credentials for the Storage Account.
  - container_registry (ContainerRegistryCredentials) – Credentials for Azure Container Registry.
  - container_service (ContainerServiceCredentials) – Credentials for Azure Container Service.
  - app_insights (AppInsightsCredentials) – Credentials for Azure AppInsights.
  - service_auth_configuration (ServiceAuthConfiguration) – Global authorization keys for all user services deployed in cluster. These are used if the service does not have auth keys.
  - ssl_configuration (SslConfiguration) – The SSL configuration for the services.

class `azure.mgmt.machinelearningcompute.models.``CheckSystemServicesUpdatesAvailableResponse`

  Bases: `msrest.serialization.Model`

  Information about updates available for system services in a cluster.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | updates_available (str or UpdatesAvailable) – Yes if updates are available for the system services, No if not. Possible values include: ‘Yes’, ‘No’

class `azure.mgmt.machinelearningcompute.models.``UpdateSystemServicesResponse`

  Bases: `msrest.serialization.Model`

  Response of the update system services API.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - update_status (str or OperationStatus) – Update status. Possible values include: ‘Unknown’, ‘Updating’, ‘Creating’, ‘Deleting’, ‘Succeeded’, ‘Failed’, ‘Canceled’
  - update_started_on (datetime) – The date and time when the last system services update was started.
  - update_completed_on (datetime) – The date and time when the last system services update completed.

class `azure.mgmt.machinelearningcompute.models.``ResourceOperationDisplay`(provider=None, resource=None, operation=None, description=None)

  Bases: `msrest.serialization.Model`

  Display of the operation.

  Parameters:

  - provider (str) – The resource provider name.
  - resource (str) – The resource name.
  - operation (str) – The operation.
  - description (str) – The description of the operation.

class `azure.mgmt.machinelearningcompute.models.``ResourceOperation`(name=None, display=None, origin=None)

  Bases: `msrest.serialization.Model`

  Resource operation.

  Parameters:

  - name (str) – Name of this operation.
  - display (ResourceOperationDisplay) – Display of the operation.
  - origin (str) – The operation origin.

class `azure.mgmt.machinelearningcompute.models.``AvailableOperations`(value=None)

  Bases: `msrest.serialization.Model`

  Available operation list.

  Parameters: | value (list[ResourceOperation]) – An array of available operations.

class `azure.mgmt.machinelearningcompute.models.``OperationalizationClusterPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationalizationCluster` object

class `azure.mgmt.machinelearningcompute.models.``OperationStatus`

  Bases: `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `unknown` = 'Unknown'
  `updating` = 'Updating'

class `azure.mgmt.machinelearningcompute.models.``ClusterType`

  Bases: `enum.Enum`

  An enumeration.

  `acs` = 'ACS'
  `local` = 'Local'

class `azure.mgmt.machinelearningcompute.models.``OrchestratorType`

  Bases: `enum.Enum`

  An enumeration.

  `kubernetes` = 'Kubernetes'
  `none` = 'None'

class `azure.mgmt.machinelearningcompute.models.``SystemServiceType`

  Bases: `enum.Enum`

  An enumeration.

  `batch_front_end` = 'BatchFrontEnd'
  `none` = 'None'
  `scoring_front_end` = 'ScoringFrontEnd'

class `azure.mgmt.machinelearningcompute.models.``AgentVMSizeTypes`

  Bases: `enum.Enum`

  An enumeration.

  `standard_a0` = 'Standard_A0'
  `standard_a1` = 'Standard_A1'
  `standard_a10` = 'Standard_A10'
  `standard_a11` = 'Standard_A11'
  `standard_a2` = 'Standard_A2'
  `standard_a3` = 'Standard_A3'
  `standard_a4` = 'Standard_A4'
  `standard_a5` = 'Standard_A5'
  `standard_a6` = 'Standard_A6'
  `standard_a7` = 'Standard_A7'
  `standard_a8` = 'Standard_A8'
  `standard_a9` = 'Standard_A9'
  `standard_d1` = 'Standard_D1'
  `standard_d11` = 'Standard_D11'
  `standard_d11_v2` = 'Standard_D11_v2'
  `standard_d12` = 'Standard_D12'
  `standard_d12_v2` = 'Standard_D12_v2'
  `standard_d13` = 'Standard_D13'
  `standard_d13_v2` = 'Standard_D13_v2'
  `standard_d14` = 'Standard_D14'
  `standard_d14_v2` = 'Standard_D14_v2'
  `standard_d1_v2` = 'Standard_D1_v2'
  `standard_d2` = 'Standard_D2'
  `standard_d2_v2` = 'Standard_D2_v2'
  `standard_d3` = 'Standard_D3'
  `standard_d3_v2` = 'Standard_D3_v2'
  `standard_d4` = 'Standard_D4'
  `standard_d4_v2` = 'Standard_D4_v2'
  `standard_d5_v2` = 'Standard_D5_v2'
  `standard_ds1` = 'Standard_DS1'
  `standard_ds11` = 'Standard_DS11'
  `standard_ds12` = 'Standard_DS12'
  `standard_ds13` = 'Standard_DS13'
  `standard_ds14` = 'Standard_DS14'
  `standard_ds2` = 'Standard_DS2'
  `standard_ds3` = 'Standard_DS3'
  `standard_ds4` = 'Standard_DS4'
  `standard_g1` = 'Standard_G1'
  `standard_g2` = 'Standard_G2'
  `standard_g3` = 'Standard_G3'
  `standard_g4` = 'Standard_G4'
  `standard_g5` = 'Standard_G5'
  `standard_gs1` = 'Standard_GS1'
  `standard_gs2` = 'Standard_GS2'
  `standard_gs3` = 'Standard_GS3'
  `standard_gs4` = 'Standard_GS4'
  `standard_gs5` = 'Standard_GS5'

class `azure.mgmt.machinelearningcompute.models.``Status`

  Bases: `enum.Enum`

  An enumeration.

  `disabled` = 'Disabled'
  `enabled` = 'Enabled'

class `azure.mgmt.machinelearningcompute.models.``UpdatesAvailable`

  Bases: `enum.Enum`

  An enumeration.

  `no` = 'No'
  `yes` = 'Yes'